# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           json-simple
Version:        1.0.2
Release:        1%{?dist}
Epoch:          0
Summary:        Simple Java toolkit for JSON
Group:          Development/Libraries/Java
License:        Apache Software License 2.0
URL:            http://code.google.com/p/json-simple/
Source0:        json-simple-1.0.2.tgz
# svn export http://json-simple.googlecode.com/svn/tags/tag_release_1_0_2/ json-simple-1.0.2
# tar czf json-simple-1.0.2.tgz json-simple-1.0.2/
Source1:        json-simple-1.0.2.pom
Patch0:         json-simple-build.patch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
Requires:       java >= 0:1.6.0
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:       noarch

%description
JSON.simple is a simple Java toolkit for JSON. You can use 
JSON.simple to encode or decode JSON text.
Features
* Full compliance with JSON specification (RFC4627) and 
  reliable (see compliance testing) 
* Provides multiple functionalities such as encode, 
  decode/parse and escape JSON text while keeping the library
  lightweight 
* Flexible, simple and easy to use by reusing Map and List
  interfaces 
* Supports streaming output of JSON text 
* Stoppable SAX-like interface for streaming input of JSON
  text (learn more) 
* Heap based parser 
* High performance (see performance testing) 
* No dependency on external libraries 
* Both of the source code and the binary are JDK1.2
  compatible 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q
for j in $(find . -name "*.jar"); do 
    mv $j $j.no
done
%patch0 -b .sav0

%build
ant main apidoc

%install
rm -rf $RPM_BUILD_ROOT

install -d 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 lib/json_simple-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap com.googlecode.json-simple json-simple %{version} JPP %{name}

#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}


%changelog
* Thu Feb 09 2012 Ralph Apel <r.apel@r-apel.de> 0:1.0.2-1
- First release

